Skip to main content
POST
/
v2
/
workspace
/
notificationconfig
/
get
Get Notification Config
curl --request POST \
  --url https://api.velt.dev/v2/workspace/notificationconfig/get \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>'
{
  "result": {
    "status": "success",
    "message": "Notification configuration retrieved successfully.",
    "data": {
      "useNotificationService": false,
      "notificationServiceConfig": {
        "triggers": { "comment": { }, "huddle": { } },
        "delayConfig": {
          "isEnabled": false,
          "delaySeconds": 10
        },
        "batchConfig": {
          "document": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 },
          "user": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 }
        }
      }
    }
  }
}
Use this API to retrieve the current in-app notification service configuration for a workspace.
This endpoint uses API-key-level auth: pass x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.
The numeric delayConfig / batchConfig fields returned here are constrained to these ranges when set via Update Notification Config: delaySeconds 1015552000 (6 months), batchWindowSeconds 10604800 (1 week), maxActivities 250.

Endpoint

POST https://api.velt.dev/v2/workspace/notificationconfig/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

This endpoint does not require a request body.

Example Request

{
  "data": {}
}

Example Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Notification configuration retrieved successfully.",
    "data": {
      "useNotificationService": false,
      "notificationServiceConfig": {
        "triggers": { "comment": { }, "huddle": { } },
        "delayConfig": {
          "isEnabled": false,
          "delaySeconds": 10
        },
        "batchConfig": {
          "document": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 },
          "user": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 }
        }
      }
    }
  }
}

Failure Response

{
  "error": {
    "status": "PERMISSION_DENIED",
    "message": "Invalid API key."
  }
}
{
  "result": {
    "status": "success",
    "message": "Notification configuration retrieved successfully.",
    "data": {
      "useNotificationService": false,
      "notificationServiceConfig": {
        "triggers": { "comment": { }, "huddle": { } },
        "delayConfig": {
          "isEnabled": false,
          "delaySeconds": 10
        },
        "batchConfig": {
          "document": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 },
          "user": { "isEnabled": false, "batchWindowSeconds": 10, "maxActivities": 2 }
        }
      }
    }
  }
}